import Vue from 'vue'
import './plugins/element-ui';
import './components/global_components';
import './http';
import './plugins';
import router from './router'
import store from './store'
import VueCookie from 'vue-cookie';
import App from './App.vue';
import './assets/mc-inconfont/iconfont.css'
import fullscreen from 'vue-fullscreen'
import VueContextMenu from 'vue-contextmenu'

import Urls from './assets/js/url.js' //路径共用
import excelUrl from '../config/excel.env.js'
import util from './assets/js/util.js'

import common from './assets/js/common.js' //公共注册
import http from './assets/js/http.js'

import FormMaking from 'form-making'
import 'form-making/dist/FormMaking.css'
import VueEditor from "vue2-editor"
Vue.use(VueEditor)
Vue.use(FormMaking)
Vue.prototype.$url = Urls
Vue.prototype.$excelUrl = excelUrl
Vue.prototype.$util = util
// Vue.prototype.$getConfig = getConfig
Vue.prototype.common = common
Vue.prototype.$axios = http //axios 设置
Vue.use(fullscreen)
Vue.use(VueCookie);
Vue.use(VueContextMenu)
Vue.config.productionTip = false

global.$vm = new Vue({
    router,
    store,
    render: h => h(App)
}).$mount('#app')
